# tootapalooza

Python program to fill a mastodon timeline with randomized toots.

# Setting up a Dev environment

So you want to run this yourself, eh?

You need:
1. A bot account on an instance. Go create one. Do **not** enable MFA on it.
2. Python

## Python prep

1. Check out the code. 
2. cd to the repository.
3. Build it and install it in your working environment.
    1. `python3 -m venv .venv`
    2. `. .venv/bin/activate`
    3. `pip install -r requirements.txt`
    4. Assuming your current working directory is the root of this repository, install into your build environment with `pip install -e .`
4. Copy the `example.env` file to a file named `.env` in the root of this repo.
5. Edit that `.env` file to contain all the secrets!

## Initialise your Mastodon app

This is a one-time thing you do ever. First time you go to run the bot in a new environment where it hasn't run before.

1. Find `tootapalooza/__init__.py` and edit it
2. Edit the lines to uncomment them and change any values you need to (like app name and server)
3. Run it one time (e.g., `python __init__.py`). It should just exit, creating the file.
4. Edit the file and comment the lines out again. You just do that once.

# Running

Set get the `tootapalooza` command into your path so you can invoke it. Run `pip install -e .`

Assuming everything is up to date, all your files initialised with correct values, you can just run `tootapalooza --once`.

By default it will try to run as a daemon.